/****************************************************************************
** $Id: quickinterpreterinterfaceimpl.h  beta3   edited Mar 5 11:24 $
**
** Copyright (C) 2001-2002 Trolltech AS.  All rights reserved.
**
** This file is part of the Qt Script for Applications framework (QSA).
**
** This file may be distributed and/or modified under the terms of the
** GNU General Public License version 2 as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL included in the
** packaging of this file.
**
** Licensees holding a valid QSA Beta Evaluation Version license may use
** this file in accordance with the QSA Beta Evaluation Version License
** Agreement provided with the Software.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
** See http://www.trolltech.com/pricing.html or email sales@trolltech.com for
**   information about QSA Commercial License Agreements.
** See http://www.trolltech.com/gpl/ for GPL licensing information.
**
** Contact info@trolltech.com if any conditions of this licensing are
** not clear to you.
**
*****************************************************************************/

#ifndef QUICKINTERPRETERINTERFACEIMPL_H
#define QUICKINTERPRETERINTERFACEIMPL_H

#include <interpreterinterface.h>
#include <qwidget.h>
#include <qmap.h>
#include "dlldefs.h"
#include <qstringlist.h>

class QUICKCORE_EXPORT QuickInterpreterInterfaceImpl : public InterpreterInterface
{
public:
    QuickInterpreterInterfaceImpl();
    virtual ~QuickInterpreterInterfaceImpl();

    QRESULT queryInterface( const QUuid&, QUnknownInterface **iface );
    unsigned long addRef();
    unsigned long release();

    void setBreakPoints( QObject *obj, const QValueList<uint> &lst );

private:
    ulong ref;

};

#endif
